Subject: FVWM: FvwmForm syntax question?

From: Jens-U H Petersen <[email-masked]>
Date: Mon, 22 Apr 96 16:05:29 JST

I have the line below in my ".fvwm2rc".  The idea is to give my a
quick menu of hosts to run applications on...  I bound it to
mouse-3 by

	Mouse 3		R    	A       Module FvwmForm Xrsh

Unfortunately the form doesn't work!  Well to be precise it works
only for the first host listed and for "localhost".  All the
others run on the local host!!  It seems the the name "Hostname"
only gets a value on the first choice (when that is set....)

I think Forms is a great idea, but frankly I am a bit confused by
the syntax, which is not too logical in my humble opinion.  For
example what is the purpose of the first argment to
"*FvwmFormSelection" (is it not redundant?)?  Can't the same
`name' be used for several selections with different values
assigned (if not, why not?)

Anyway can someone explain to me why my "Xrsh" form doesn't work?

Thanks, Jens

---- Start of included text -----------------------8<--- cut here -------------
*XrshWarpPointer
*XrshFont         *helvetica*m*r*n*14*
*XrshButtonFont   *helvetica*m*o*n*14*
*XrshInputFont    *cour*m*r*n*14*
*XrshFore         Black
*XrshBack         Light Gray
*XrshItemFore          Wheat
*XrshItemBack          Gray50
# begin items
*XrshLine         center
*XrshText         "xrsh on remote host"
*XrshLine         expand
#*XrshText         "Host:"
*XrshSelection    Host single
*XrshChoice       Hostname clove on "clove"
*XrshChoice       Hostname cumin off "cumin"
*XrshChoice       Hostname parsley off "parsley"
*XrshChoice       Local local off "localhost"
*XrshChoice       Hostname pepper off "pepper"
*XrshLine         expand
*XrshButton       quit "emacs" e
*XrshCommand      Exec  $(Hostname?xrsh $(Hostname)) emacs
*XrshButton       quit "mule" m
*XrshCommand      Exec  $(Hostname?xrsh $(Hostname)) mule
*XrshButton       quit "xterm" x
*XrshCommand      Exec  $(Hostname?xrsh $(Hostname)) xterm -ls -sb -sl 200 -j -fn a14
*XrshButton       quit "netscape" n
*XrshCommand      Exec $(Hostname?xrsh $(Hostname)) netscape -install
*XrshButton       quit "Cancel" ^[
# *XrshCommand      Nop
*XrshCommand      Next [Xrsh] Iconify
*XrshButton       quit "Quit X" L
*XrshCommand      Module FvwmForm QuitVerify
---- End of included text -------------------------8<--- and here -------------

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].